<?php

class ControllerExtensionModuleMtTbigrCredit extends Controller {

	private $error = array();

	public function index() {

		/* Load language file. */

		$this->load->language('extension/module/mt_tbigr_credit');

		$this->document->setTitle($this->language->get('heading_title'));

		/* Check if data has been posted back. */

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {

			$this->load->model('setting/setting');

			$this->model_setting_setting->editSetting('module_mt_tbigr_credit', $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$this->cache->delete('module_mt_tbigr_credit');

			$this->response->redirect($this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'] . '&type=module', true));

		}

		/* Load language strings. */

		$data['text_edit'] = $this->language->get('text_edit');

		$data['text_module'] = $this->language->get('text_module');

		$data['text_enabled'] = $this->language->get('text_enabled');

		$data['text_disabled'] = $this->language->get('text_disabled');

		$data['heading_title'] = $this->language->get('heading_title');

		$data['entry_title'] = $this->language->get('entry_title');

		$data['entry_status'] = $this->language->get('entry_status');

		$data['entry_status_small'] = $this->language->get('entry_status_small');

		$data['entry_unicid'] = $this->language->get('entry_unicid');		

		$data['entry_unicid_small'] = $this->language->get('entry_unicid_small');		

		$data['entry_storeid'] = $this->language->get('entry_storeid');		

		$data['entry_storeid_small'] = $this->language->get('entry_storeid_small');		

		$data['entry_username'] = $this->language->get('entry_username');

		$data['entry_username_small'] = $this->language->get('entry_username_small');

		$data['entry_password'] = $this->language->get('entry_password');

		$data['entry_password_small'] = $this->language->get('entry_password_small');

		$data['button_save'] = $this->language->get('button_save');

		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['entry_iris_iban_small'] = $this->language->get('entry_iris_iban_small');

		$data['entry_iris_key'] = $this->language->get('entry_iris_key');

		$data['entry_iris_key_small'] = $this->language->get('entry_iris_key_small');

		

		/* Loading up some URLS. */

		$data['cancel'] = $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'], true);

		$data['form_action'] = $this->url->link('extension/module/mt_tbigr_credit', 'user_token=' . $this->session->data['user_token'], true);

		

		/* Present error messages to users. */

		if (isset($this->error['warning'])) {

			$data['error_warning'] = $this->error['warning'];

		} else {

			$data['error_warning'] = '';

		}

		

		/* Initial values for form. */

		if (isset($this->request->post['module_mt_tbigr_credit_status'])) {

			$data['module_mt_tbigr_credit_status'] = $this->request->post['module_mt_tbigr_credit_status'];

		} else {

			$data['module_mt_tbigr_credit_status'] = $this->config->get('module_mt_tbigr_credit_status');

		}

		if (isset($this->request->post['module_mt_tbigr_credit_unicid'])) {

			$data['module_mt_tbigr_credit_unicid'] = $this->request->post['module_mt_tbigr_credit_unicid'];

		} else {

			$data['module_mt_tbigr_credit_unicid'] = $this->config->get('module_mt_tbigr_credit_unicid');

		}

		if (isset($this->request->post['module_mt_tbigr_credit_storeid'])) {

			$data['module_mt_tbigr_credit_storeid'] = $this->request->post['module_mt_tbigr_credit_storeid'];

		} else {

			$data['module_mt_tbigr_credit_storeid'] = $this->config->get('module_mt_tbigr_credit_storeid');

		}

		if (isset($this->request->post['module_mt_tbigr_credit_username'])) {

			$data['module_mt_tbigr_credit_username'] = $this->request->post['module_mt_tbigr_credit_username'];

		} else {

			$data['module_mt_tbigr_credit_username'] = $this->config->get('module_mt_tbigr_credit_username');

		}

		if (isset($this->request->post['module_mt_tbigr_credit_password'])) {

			$data['module_mt_tbigr_credit_password'] = $this->request->post['module_mt_tbigr_credit_password'];

		} else {

			$data['module_mt_tbigr_credit_password'] = $this->config->get('module_mt_tbigr_credit_password');

		}

		if (isset($this->request->post['module_mt_tbigr_credit_iris_iban'])) {

			$data['module_mt_tbigr_credit_iris_iban'] = $this->request->post['module_mt_tbigr_credit_iris_iban'];

		} else {

			$data['module_mt_tbigr_credit_iris_iban'] = $this->config->get('module_mt_tbigr_credit_iris_iban');

		}

		if (isset($this->request->post['module_mt_tbigr_credit_iris_key'])) {

			$data['module_mt_tbigr_credit_iris_key'] = $this->request->post['module_mt_tbigr_credit_iris_key'];

		} else {

			$data['module_mt_tbigr_credit_iris_key'] = $this->config->get('module_mt_tbigr_credit_iris_key');

		}

		

		/* Breadcrumb. */

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(

			'text' => $this->language->get('text_home'),

			'href' => $this->url->link('common/dashboard', 'user_token=' . $this->session->data['user_token'], true)

		);

		$data['breadcrumbs'][] = array(

			'text' => $this->language->get('text_module'),

			'href' => $this->url->link('marketplace/extension', 'user_token=' . $this->session->data['user_token'], true)

		);

		$data['breadcrumbs'][] = array(

			'text' => $this->language->get('heading_title'),

			'href' => $this->url->link('extension/module/mt_tbigr_credit', 'user_token=' . $this->session->data['user_token'], true)

		);

		

		/* Render some output. */

		$data['header'] = $this->load->controller('common/header');

		$data['column_left'] = $this->load->controller('common/column_left');

		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('extension/module/mt_tbigr_credit', $data));

	}

	/* Check user input. */

	private function validate() {

		if ($this->error) {

			return false;

		} else {

			return true;

		}

	}

}